JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AudioFormatReaderSource Class Reference
juce_audio_formats » format

A type of AudioSource that will read from an AudioFormatReader. More...

`#include <juce_AudioFormatReaderSource.h>`

Inheritance diagram for AudioFormatReaderSource:

## Public Member Functions
| AudioFormatReaderSource (AudioFormatReader *sourceReader, bool deleteReaderWhenThisIsDeleted)
| Creates an AudioFormatReaderSource for a given reader.
| ~AudioFormatReaderSource () override
| Destructor.
void | setLooping (bool shouldLoop) override
| Toggles loop-mode.
bool | isLooping () const override
| Returns whether loop-mode is turned on or not.
AudioFormatReader * | getAudioFormatReader () const noexcept
| Returns the reader that's being used.
void | prepareToPlay (int samplesPerBlockExpected, double sampleRate) override
| Implementation of the AudioSource method.
void | releaseResources () override
| Implementation of the AudioSource method.
void | getNextAudioBlock (const AudioSourceChannelInfo &) override
| Implementation of the AudioSource method.
void | setNextReadPosition (int64 newPosition) override
| Implements the PositionableAudioSource method.
int64 | getNextReadPosition () const override
| Implements the PositionableAudioSource method.
int64 | getTotalLength () const override
| Implements the PositionableAudioSource method.
Public Member Functions inherited from PositionableAudioSource
| ~PositionableAudioSource () override=default
| Destructor.
Public Member Functions inherited from AudioSource
virtual | ~AudioSource ()=default
| Destructor.

## Additional Inherited Members
Protected Member Functions inherited from PositionableAudioSource
| PositionableAudioSource ()=default
| Creates the PositionableAudioSource.
Protected Member Functions inherited from AudioSource
| AudioSource ()=default
| Creates an AudioSource.

## Detailed Description

A type of AudioSource that will read from an AudioFormatReader.

See also
  PositionableAudioSource, AudioTransportSource, BufferingAudioSource

## Constructor & Destructor Documentation

## ◆ AudioFormatReaderSource()

AudioFormatReaderSource::AudioFormatReaderSource | ( | AudioFormatReader * | sourceReader,
|  | bool | deleteReaderWhenThisIsDeleted )

Creates an AudioFormatReaderSource for a given reader.

Parameters

  sourceReader | the reader to use as the data source - this must not be null
  deleteReaderWhenThisIsDeleted | if true, the reader passed-in will be deleted when this object is deleted; if false it will be left up to the caller to manage its lifetime

## ◆ ~AudioFormatReaderSource()

AudioFormatReaderSource::~AudioFormatReaderSource | ( |  | ) |
| override

Destructor.

## Member Function Documentation

## ◆ setLooping()

void AudioFormatReaderSource::setLooping | ( | bool | shouldLoop | ) |
| override virtual

Toggles loop-mode.

If set to true, it will continuously loop the input source. If false, it will just emit silence after the source has finished.

See also
  isLooping

Reimplemented from PositionableAudioSource.

## ◆ isLooping()

bool AudioFormatReaderSource::isLooping | ( |  | ) | const
| override virtual

Returns whether loop-mode is turned on or not.

Implements PositionableAudioSource.

## ◆ getAudioFormatReader()

AudioFormatReader * AudioFormatReaderSource::getAudioFormatReader | ( |  | ) | const
| noexcept

Returns the reader that's being used.

## ◆ prepareToPlay()

void AudioFormatReaderSource::prepareToPlay | ( | int | samplesPerBlockExpected,
|  | double | sampleRate )
| override virtual

Implementation of the AudioSource method.

Implements AudioSource.

## ◆ releaseResources()

void AudioFormatReaderSource::releaseResources | ( |  | ) |
| override virtual

Implementation of the AudioSource method.

Implements AudioSource.

## ◆ getNextAudioBlock()

void AudioFormatReaderSource::getNextAudioBlock | ( | const AudioSourceChannelInfo & |  | ) |
| override virtual

Implementation of the AudioSource method.

Implements AudioSource.

## ◆ setNextReadPosition()

void AudioFormatReaderSource::setNextReadPosition | ( | int64 | newPosition | ) |
| override virtual

Implements the PositionableAudioSource method.

Implements PositionableAudioSource.

## ◆ getNextReadPosition()

int64 AudioFormatReaderSource::getNextReadPosition | ( |  | ) | const
| override virtual

Implements the PositionableAudioSource method.

Implements PositionableAudioSource.

## ◆ getTotalLength()

int64 AudioFormatReaderSource::getTotalLength | ( |  | ) | const
| override virtual

Implements the PositionableAudioSource method.

Implements PositionableAudioSource.

The documentation for this class was generated from the following file:

- juce_AudioFormatReaderSource.h